namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

/// <summary>
/// The user nimbly strikes the target. If the user is not holding an item, this attack inflicts massive damage. 
/// </summary>
/// <remarks>
/// Does double base power if the user is not holding an item.
/// </remarks>
[Script(ScriptCategory.Move, "acrobatics")]
public class Acrobatics : Script, IScriptChangeBasePower
{
    /// <inheritdoc />
    public void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref ushort basePower)
    {
        if (move.User.HeldItem == null)
            basePower = basePower.MultiplyOrMax(2);
    }
}